cpw.mods.fml.common.asm.transformers.deobf

## Class FMLDeobfuscatingRemapper

- java.lang.Object
- - Remapper
  - - cpw.mods.fml.common.asm.transformers.deobf.FMLDeobfuscatingRemapper

-     public class FMLDeobfuscatingRemapper
      extends Remapper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FMLDeobfuscatingRemapper` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRemappedClass(String className)`
    `String` | `map(String typeName)`
    `String` | `mapFieldName(String owner, String name, String desc)`
    `String` | `mapMethodName(String owner, String name, String desc)`
    `void` | `mergeSuperMaps(String name, String superName, String[] interfaces)`
    `void` | `setup(File mcDir, RelaunchClassLoader classLoader, String deobfFileName)`
    `String` | `unmap(String typeName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final FMLDeobfuscatingRemapper INSTANCE

  - ### Method Detail

    - #### setup

          public void setup(File mcDir,
                   RelaunchClassLoader classLoader,
                   String deobfFileName)

    - #### isRemappedClass

          public boolean isRemappedClass(String className)

    - #### mapFieldName

          public String mapFieldName(String owner,
                            String name,
                            String desc)

    - #### map

          public String map(String typeName)

    - #### unmap

          public String unmap(String typeName)

    - #### mapMethodName

          public String mapMethodName(String owner,
                             String name,
                             String desc)

    - #### mergeSuperMaps

          public void mergeSuperMaps(String name,
                            String superName,
                            String[] interfaces)